
%define __libtoolize    /bin/true

%define lib_name_orig %mklibname taskjuggler
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

Name:          taskjuggler
URL:           http://www.taskjuggler.org
License:       GPL
Group:        	Graphical desktop/KDE 
Summary:       Project management software
Version:       2.2.0
Release:       %mkrel 3
Source0:       %name-%{version}.tar.bz2
Requires:      kdelibs
BuildRequires: libxml2-devel, libxslt-devel, tetex, qt3-devel, kdepim-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Patch3:			taskjuggler-2.1-fix-compile.patch.bz2
Requires:   %lib_name = %version-%release, printer-utils


%description
TaskJuggler is a project management tool for Linux and UNIX based
operating systems. Whether you want to plan your college's shifts for
the next month or want to build a skyscraper - TaskJuggler is the tool
for you.

Instead of clicking painfully through hundreds of dialog boxes you
specify your TaskJuggler project in a simple text format. You simply
list all your tasks and their dependencies. The information is sent
through TaskJuggler and you will get all sorts of reports in HTML or
XML format.

TaskJuggler not only honors the task interdependencies but also takes
resource constraints into account. Using TaskJuggler's powerful
filtering and reporting algorithms you can create task lists, resource
usage tables, status reports, project calendars, and project accounting
statements.

Authors:
--------
    Chris Schaeger <cs@suse.de>,
    Klaas Freitag <freitag@suse.de>

%package kde
Provides:     taskjuggler-kde
Summary:      Project Management Software for KDE
Group:        Graphical desktop/KDE
BuildRequires: qt3-devel, kdelibs-devel
Requires:	%lib_name = %version-%release

%description kde
TaskJuggler is a project management tool for Linux and UNIX based
operating systems. Whether you want to plan your college's shifts for
the next month or want to build a skyscraper - TaskJuggler is the tool
for you.

This package provides tools for viewing output produced by taskjuggler.



Authors:
--------
    Chris Schlaeger <cs@suse.de>,
    Klaas Freitag <freitag@suse.de>
    Lukas Tinkl <lukas.tinkl@suse.cz>




%package -n %lib_name
Group:      Development/KDE and Qt
Summary:    Librairies files for taskjuggler


%description -n %lib_name
Librairies file for taskjuggler


%package -n %lib_name-devel
Group:      Development/KDE and Qt
Summary:    Header files for developing taskjuggler
Requires:      %lib_name = %{version}-%{release}


%description -n %lib_name-devel
Header files needed for developing taskjuggler applications.


%prep
%setup -q -n %name-%{version}
%patch3 -p1 -b .fix_compile

make -f Makefile.cvs

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


%{?__cputoolize: %{__cputoolize} }
#laurent 2.2.4 %%configure doesn't work
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --build=%{_target_platform} \
			--prefix=%{_prefix} \
			--libdir=%{_libdir} \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif			
			--disable-final \
			--with-kde-support=yes
%make

%install
rm -rf $RPM_BUILD_ROOT
%define tjdocdir $RPM_BUILD_ROOT/%{_docdir}/taskjuggler/
export DESTDIR="$RPM_BUILD_ROOT"
make install

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Office/Tasks Management" $RPM_BUILD_ROOT%_datadir/applications/kde/taskjuggler.desktop $RPM_BUILD_ROOT%{_menudir}/ktjview2

# Install the documentation


%clean
rm -rf $RPM_BUILD_ROOT


%post kde
/sbin/ldconfig
%{update_menus}

%postun kde
/sbin/ldconfig
%{clean_menus}


%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%{_libdir}/libtaskjuggler.so.*
%{_libdir}/libtaskjuggler.la

%files -n %lib_name-devel
%defattr(-,root,root)
%{_libdir}/libtaskjuggler.so

%files
%defattr(-,root,root)
%{_bindir}/taskjuggler


%files kde
%defattr(-,root,root)
%_menudir/*
#%_libdir/kde3/libktjviewpart*
%_datadir/icons/*

%_bindir/TaskJugglerUI
%_datadir/apps/taskjuggler/katefiletyperc

%_datadir/apps/taskjuggler/templates/en_US/Blank_File.tji
%_datadir/apps/taskjuggler/templates/en_US/*.tjp

%_datadir/apps/taskjuggler/tips
 
%_datadir/config/taskjugglerrc

#%dir %_datadir/apps/ktjview/
#%_datadir/apps/ktjview/*.rc

%_datadir/apps/katepart/syntax/taskjuggler.xml



%_datadir/applications/kde/taskjuggler.desktop


%_datadir/apps/taskjuggler/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/taskjuggler/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/taskjuggler/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/taskjuggler/taskjugglerui.rc



#%_datadir/apps/ktjviewpart/
#%_datadir/apps/ktjviewpart/*.rc

#%_datadir/services/ktjview.desktop

%_datadir/mimelnk/application/x-tji.desktop
%_datadir/mimelnk/application/x-tjx.desktop

%dir %_datadir/applications/kde/

#%dir %_datadir/apps/katepart/syntax/
#%_datadir/apps/katepart/syntax/taskjuggler.xml



%doc %_docdir/packages/taskjuggler/Examples/*


%_datadir/mimelnk/application/x-tjp.desktop



%changelog
* Wed Sep 06 2006 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-3
- Rebuild

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-2mdk
- Fix compile on x86_64

* Wed Dec 07 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-1mdk
- 2.2.0

* Wed Nov 23 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-0.beta2.1mdk
- 2.2.0beta2

* Sun Nov 06 2005 Laurent MONTEL <lmontel@mandriva.com> 2.2.0-0.beta1.1mdk
- 2.2.0beta1

* Wed Aug 10 2005 Laurent MONTEL <lmontel@mandriva.com> 2.1.1-1mdk
- 2.1.1

* Wed Jul 20 2005 Laurent MONTEL <lmontel@mandriva.com> 2.1.1-0.beta2.1mdk
- 2.1.1-beta2

* Tue Mar 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- 2.1

* Mon Jan 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-6mdk
- Add print-utils as requires

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-5mdk
- Rebuild with good dependancy

* Thu Dec 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Libification

* Tue Dec 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-3mdk
- Update code from cvs

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix spec file

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-1mdk
- Initial package

